Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing.i18n
Class AddressingMessages

    java.lang.Object
      org.apache.axis2.addressing.i18n.AddressingMessages

    public class AddressingMessages

extends java.lang.Object

See Also:
  `The implementation is the same but just thisClass static reference has AddressingMessages.class`

Constructor Summary
`AddressingMessages()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String key)` Gets a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0)` Gets a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String[] args)` Gets a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1)` Gets a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Gets a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Gets a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Gets a message from resource.properties from the package of the given object.
`static MessageBundle` | `getMessageBundle()`
`static java.util.ResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressingMessages

    public AddressingMessages()

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String key)
                                       throws java.util.MissingResourceException

  Gets a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0)
                                       throws java.util.MissingResourceException

  Gets a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1)
                                       throws java.util.MissingResourceException

  Gets a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2)
                                       throws java.util.MissingResourceException

  Gets a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3)
                                       throws java.util.MissingResourceException

  Gets a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3,
                                              java.lang.String arg4)
                                       throws java.util.MissingResourceException

  Gets a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String[] args)
                                       throws java.util.MissingResourceException

  Gets a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `args` - An array of objects to place in corresponding variables
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException`

### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle()

### getMessageBundle

    public static MessageBundle getMessageBundle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.